Search Results for

Show / Hide Table of Contents

# Class ObjectActivatedEventArgs<T>

Event args for the ObjectActivated event

##### Inheritance

System.Object
ObjectActivatedEventArgs<T>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ObjectActivatedEventArgs<T>

        where T : class

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

#### ObjectActivatedEventArgs(TreeView<T>, T)

Creates a new instance documenting activation of the `activated` object

##### Declaration

    public ObjectActivatedEventArgs(TreeView<T> tree, T activated)

##### Parameters

Type | Name | Description
--- | --- | ---
TreeView<T> | tree | Tree in which the activation is happening
T | activated | What object is being activated

### Properties

#### ActivatedObject

The object that was selected at the time of activation

##### Declaration

    public T ActivatedObject { get; }

##### Property Value

Type | Description
--- | ---
T |

#### Tree

The tree in which the activation occurred

##### Declaration

    public TreeView<T> Tree { get; }

##### Property Value

Type | Description
--- | ---
TreeView<T> |